# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    pass


def audit():
    if get_os_name() == "Windows":
        sys_drive = makepath(systemdrive)
    else:
        sys_drive = makepath("/")
    system_free_space = str(round(get_disk_free_space(sys_drive) / 1073741824, 1))
    system_free_space_str = str(system_free_space + "G")
    print(system_free_space_str)
    WAPT.write_audit_data_if_changed("audit-freespace", sys_drive, system_free_space_str, keep_days=365)
    return "OK"
